/*
 * 
 * Copyright 2002-2004 The Ant-Contrib project
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package net.sf.antcontrib.cpptasks.parser;
public final class LetterState extends AbstractParserState {
    protected AbstractParserState nextState;
    protected AbstractParserState noMatchState;
    protected char thisLetter;
    public LetterState(AbstractParser parser, char thisLetter,
            AbstractParserState nextState, AbstractParserState noMatchState) {
        super(parser);
        this.thisLetter = thisLetter;
        this.nextState = nextState;
        this.noMatchState = noMatchState;
    }
    public AbstractParserState consume(char ch) {
        if (ch == thisLetter) {
            return nextState;
        }
        if (ch == '\n') {
            getParser().getNewLineState();
        }
        return noMatchState;
    }
}
